Commit 62e33047 authored by Manish Singh's avatar Manish Singh Committed by Manish Singh

Make sure PangoFT2 is using a recent enough fontconfig since many people

2004-06-13  Manish Singh  <yosh@gimp.org>

        * configure.in: Make sure PangoFT2 is using a recent enough fontconfig
        since many people have broken and confused setups.
parent 6ffe0440
2004-06-13 Manish Singh <yosh@gimp.org>
* configure.in: Make sure PangoFT2 is using a recent enough fontconfig
since many people have broken and confused setups.
2004-06-13 Manish Singh <yosh@gimp.org>
* tools/pdbgen/pdb/gradient_edit.pdb: cleans ups so generated
......
......@@ -436,6 +436,8 @@ PKG_CHECK_MODULES(LIBART, libart-2.0)
AC_SUBST(LIBART_CFLAGS)
AC_SUBST(LIBART_LIBS)
PKG_CHECK_MODULES(FONTCONFIG, fontconfig >= fontconfig_required_version)
PKG_CHECK_MODULES(PANGOFT2, pangoft2 >= pangoft2_required_version, :,
AC_MSG_ERROR([Test for PangoFT2 failed.
*** We require Pango with the optional support for FreeType2 compiled in.
......@@ -451,7 +453,30 @@ else
fi
AC_MSG_RESULT($have_pango_1_5)
PKG_CHECK_MODULES(FONTCONFIG, fontconfig >= fontconfig_required_version)
gimp_save_CFLAGS=$CFLAGS
CFLAGS="$PANGOFT2_CFLAGS $CFLAGS"
AC_MSG_CHECKING([if Pango is built with a recent fontconfig])
AC_TRY_COMPILE([#include <fontconfig/fontconfig.h>],
[FcObjectSet *os; os = FcObjectSetBuild (FC_FAMILY, FC_WIDTH);],
fontconfig_ok=yes, fontconfig_ok=no)
AC_MSG_RESULT($fontconfig_ok)
CFLAGS=$gimp_save_CFLAGS
if test "x$fontconfig_ok" = xno; then
AC_MSG_ERROR([
*** You have a fontconfig >= fontconfig_required_version installed on your system, but your
*** PangoFT2 is using an older version. This old version is probably in
*** /usr/X11R6. Look at the above output, and note that the result for
*** FONTCONFIG_CFLAGS is not in the result for PANGOFT2_CFLAGS, and that
*** there is likely an extra -I line, other than the ones for GLIB,
*** Freetype, and Pango itself. That's where your old fontconfig files are.
*** Rebuild pango, and make sure that it uses the newer fontconfig. The
*** easiest way be sure of this is to simply get rid of the old fontconfig.
*** When you rebuild pango, make sure the result for FONTCONFIG_CFLAGS is
*** the same as the result here.])
fi
AC_PATH_PROG(FREETYPE_CONFIG, freetype-config, no)
if test "x$FREETYPE_CONFIG" != "xno" ; then
......@@ -1442,7 +1467,7 @@ AC_SUBST(GIMP_MKENUMS)
CPPFLAGS="${CPPFLAGS} -DGIMP_DISABLE_DEPRECATED"
####################################################
# Default to disable deprecated GTK+ stuff for 2.2.x
# Default to disable deprecated GTK+ stuff for 2.4.x
####################################################
if test "x$have_glib_2_5" != "xyes"; then
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment